# std::bad_exception::bad_exception

From cppreference.com
< cpp‎ | error‎ | bad exception

bad_exception(); |  |
bad_exception( const bad_exception& other ); |  |

Constructs new `bad_exception` object.

1) Default constructor.
2) Copy constructor. Initializes the object with the contents of `other`.

### Parameters

other | - | `bad_exception` object to initialize with

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/bad_exception/bad_exception&oldid=91426"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template